service_client_factory_start_service
service_client_free
service_client_new
service_client_t
SERVICE_CONSTRUCTOR
service_disable_bypass_ssl
service_disable_ssl
service_enable_ssl
service_error_t
service_get_connection
service_receive
service_receive_with_timeout
service_send

## service_disable_ssl()

LIBIMOBILEDEVICE_API service_error_t service_disable_ssl | ( | service_client_t | client | ) |

Disable SSL for the given service client.

Parameters

  client | The connected service client for which SSL should be disabled.

Returns
  SERVICE_E_SUCCESS on success, SERVICE_E_INVALID_ARG if client or client->connection is NULL, or SERVICE_E_UNKNOWN_ERROR otherwise.